libdigest-sha-perl_5.93-1_amd64.deb


Advertisement

Description

libdigest-sha-perl - Perl extension for SHA-1/224/256/384/512, SHA-512/224 and SHA-512/256

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdigest-sha-perl
Package version: 5.93
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 106 B
Download size: 56.50 KB
Official Mirror: ftp.br.debian.org
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-512/224, and SHA-512/256 message digests. The module can handle all types of input, including partial-byte data.

Alternatives

    Download

    Source package: libdigest-sha-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdigest-sha-perl deb package:
      # sudo apt-get install libdigest-sha-perl

    Files

    • /usr/bin/shasum
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/Digest/SHA.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Digest/SHA/SHA.so
    • /usr/share/doc/libdigest-sha-perl/changelog.Debian.gz
    • /usr/share/doc/libdigest-sha-perl/changelog.gz
    • /usr/share/doc/libdigest-sha-perl/copyright
    • /usr/share/doc/libdigest-sha-perl/examples/dups
    • /usr/share/man/man1/shasum.1p.gz
    • /usr/share/man/man3/Digest::SHA.3pm.gz

    Changelog

    2014-10-26 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.93-1) unstable; urgency=medium * Update Vcs-Browser URL to cgit web frontend * Imported Upstream version 5.93 * Declare compliance with Debian Policy 3.9.6 * Add Testsuite: autopkgtest-pkg-perl field in debian/control

    2014-06-01 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.92-1) unstable; urgency=medium * Imported Upstream version 5.92

    2014-05-17 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.91-1) unstable; urgency=medium * Imported Upstream version 5.91

    2014-05-07 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.90-1) unstable; urgency=medium * Imported Upstream version 5.90

    2014-04-20 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.89-1) unstable; urgency=medium * Imported Upstream version 5.89

    2014-03-18 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.88-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Imported Upstream version 5.88

    2014-02-18 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.87-1) unstable; urgency=medium * Imported Upstream version 5.87

    2014-01-30 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.86-1) unstable; urgency=medium * Imported Upstream version 5.86 * Update copyright years for upstream files * Update copyright years for debian/* packaging files * Declare compliance with Debian Policy 3.9.5 * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)

    2013-06-27 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.85-1) unstable; urgency=low * Imported Upstream version 5.85

    2013-05-05 - Salvatore Bonaccorso <carnil@debian.org> libdigest-sha-perl (5.84-1) unstable; urgency=low * Imported Upstream version 5.72, 5.73, 5.74, 5.80, 5.81, 5.82, 5.83 and 5.84 * Bump Standards-Version to 3.9.4 * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Drop 698172-fix-double-free-in-load-subroutine.patch. Patch is part of Digest::SHA 5.81. * Update debian/copyright file information. Update copyright years for upstream files and debian/* packaging. * Change search.cpan.org based URIs to metacpan.org based URIs

    Advertisement
    Advertisement